export const setQueryFormItmes = (self) => {
  return [
    { name: 'name', label: '策略名称', type: 'input' },

    {
      name: 'status',
      label: '状态',
      type: 'select',
      itemStyle:"width:120px",
      get options() {
        return self.options?.GENERAL_STATUS??[]
      }
    },
    {
      span: 6,
      type: 'buttonGroup',
      style: { textAlign: 'right' },
      options: [
        {
          value: '查询',
          icon: 'search',
          btnType: 'primary',
          style: 'margin-right:10px',
          htmlType: 'submit',
        },
        {
          value: '重置',
          name: 'ccz',
          style: 'margin-right:10px',
          on: {
            click(event, form) {
              form.resetFields()
            },
          },
        },
      ],
    },
    // {
    //   style: 'float:right',
    //   scopedSlots: { customRender: "right" },

    // }
  ]
}
